Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ForwardRequest Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ForwardRequest:

[legend]
Collaboration diagram for PortableServer::ForwardRequest:

[legend]
List of all members.

## Public Methods
| ForwardRequest (void)
| ForwardRequest (const ForwardRequest &)
| ~ForwardRequest (void)
ForwardRequest & | operator= (const ForwardRequest &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
| ForwardRequest (const CORBA::Object_ptr _tao_forward_reference)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
ForwardRequest * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)
## Public Attributes
CORBA::Object_var | forward_reference

## Constructor & Destructor Documentation

PortableServer::ForwardRequest::ForwardRequest | ( | void |  | ) |

PortableServer::ForwardRequest::ForwardRequest | ( | const ForwardRequest & |  | ) |

PortableServer::ForwardRequest::~ForwardRequest | ( | void |  | ) |

PortableServer::ForwardRequest::ForwardRequest | ( | const CORBA::Object_ptr | _tao_forward_reference | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::ForwardRequest::_alloc | ( | void |  | ) | `[static]`

PortableServer::ForwardRequest * PortableServer::ForwardRequest::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void PortableServer::ForwardRequest::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableServer::ForwardRequest::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

virtual void PortableServer::ForwardRequest::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * PortableServer::ForwardRequest::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

virtual void PortableServer::ForwardRequest::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr PortableServer::ForwardRequest::_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Exception.

ForwardRequest& PortableServer::ForwardRequest::operator= | ( | const ForwardRequest & |  | ) |

## Member Data Documentation

CORBA::Object_var PortableServer::ForwardRequest::forward_reference

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp